> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# पिन की गई सूचियाँ

> पिन की गई सूचियाँ देखें और उनका प्रबंधन करें

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

पिन की गई सूचियों के एंडपॉइंट आपको प्रमाणीकृत उपयोगकर्ता के लिए सूचियां देखने, पिन करने और अनपिन करने की सुविधा देते हैं। पिन की गई सूचियां उपयोगकर्ता के X इंटरफ़ेस में प्रमुखता से दिखाई देती हैं।

<div id="overview">
  ## अवलोकन
</div>

<CardGroup cols={2}>
  <Card title="पिन की गई सूचियाँ देखें" icon="thumbtack">
    उपयोगकर्ता की पिन की गई सूचियाँ प्राप्त करें
  </Card>

  <Card title="सूची को पिन करें" icon="plus">
    किसी सूची को पिन करें
  </Card>

  <Card title="सूची को अनपिन करें" icon="minus">
    किसी सूची को अनपिन करें
  </Card>
</CardGroup>

***

<div id="endpoints">
  ## एंडपॉइंट्स
</div>

| Method | Endpoint                                                           | Description                    |
| :----- | :----------------------------------------------------------------- | :----------------------------- |
| GET    | [`/2/users/:id/pinned_lists`](/hi/x-api/users/get-pinned-lists)    | पिन की गई सूचियाँ प्राप्त करें |
| POST   | [`/2/users/:id/pinned_lists`](/hi/x-api/users/pin-list)            | सूची को पिन करें               |
| DELETE | [`/2/users/:id/pinned_lists/:list_id`](/hi/x-api/users/unpin-list) | सूची को अनपिन करें             |

***

<div id="example-get-pinned-lists">
  ## उदाहरण: पिन की गई सूचियाँ प्राप्त करें
</div>

```bash theme={null}
curl "https://api.x.com/2/users/123456789/pinned_lists?\
list.fields=name,description,member_count" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN"
```

<div id="example-pin-a-list">
  ## उदाहरण: किसी सूची को पिन करना
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/users/123456789/pinned_lists" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"list_id": "9876543210"}'
```

***

<div id="getting-started">
  ## शुरू करें
</div>

<Note>
  **पूर्वापेक्षाएँ**

  * एक स्वीकृत [डेवलपर खाता](https://developer.x.com/en/portal/petition/essential/basic-info)
  * डेवलपर कंसोल में एक [Project और ऐप](/hi/resources/fundamentals/developer-apps)
  * [OAuth 2.0 PKCE](/hi/resources/fundamentals/authentication#oauth-2-0-authorization-code-flow-with-pkce-2) के ज़रिए उपयोगकर्ता एक्सेस टोकन
</Note>

<CardGroup cols={2}>
  <Card title="लुकअप की त्वरित शुरुआत" icon="thumbtack" href="/hi/x-api/lists/pinned-lists/quickstart/pinned-list-lookup">
    पिन की गई सूचियाँ प्राप्त करें
  </Card>

  <Card title="प्रबंधन की त्वरित शुरुआत" icon="plus" href="/hi/x-api/lists/pinned-lists/quickstart/manage-pinned-lists">
    सूचियों को पिन और अनपिन करें
  </Card>

  <Card title="एकीकरण मार्गदर्शिका" icon="book" href="/hi/x-api/lists/pinned-lists/integrate">
    मुख्य अवधारणाएँ और सर्वोत्तम प्रथाएँ
  </Card>

  <Card title="API संदर्भ" icon="code" href="/hi/x-api/lists/pinned-lists-lookup">
    एंडपॉइंट का पूरा दस्तावेज़
  </Card>
</CardGroup>
